# Visualization
TKService
Aspect

# Aspect_GenId Class Reference

This class permits the creation and control of all
identifiers.
Warning: An identifier is an integer.
.

`#include <Aspect_GenId.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Aspect_GenId ()
| Creates an available set of identifiers with the lower bound 0 and the upper bound INT_MAX/2. .
Standard_EXPORT | Aspect_GenId (const Standard_Integer Low, const Standard_Integer Up)
| Creates an available set of identifiers with the lower bound <low> and the upper bound <up>. Warning: Raises IdentDefinitionError if <up> is less than <low>. //! Copies the content of <other> into <me>. .
Standard_EXPORT void | Free ()
| Frees all identifiers of <me>. .
Standard_EXPORT void | Free (const Standard_Integer Id)
| Frees the identifier <id> of <me>. .
Standard_EXPORT Standard_Integer | Available () const
| Returns the number of available identifiers of <me>. .
Standard_EXPORT Standard_Integer | Lower () const
| Returns the lower bound of <me>. .
Standard_EXPORT Standard_Integer | Next ()
| Returns an available identifier of <me>. Warning: Raises IdentDefinitionError if all identifiers are busy. .
Standard_EXPORT Standard_Integer | Upper () const
| Returns the upper bound of <me>. .

## Private Attributes

Standard_Integer | MyCount
Standard_Integer | MyLength
Standard_Integer | MyLowerBound
Standard_Integer | MyUpperBound
TColStd_ListOfInteger | MyFreeIds

## Constructor & Destructor Documentation

Standard_EXPORT Aspect_GenId::Aspect_GenId | ( |  | ) |

Standard_EXPORT Aspect_GenId::Aspect_GenId | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer Aspect_GenId::Available | ( |  | ) | const

Standard_EXPORT void Aspect_GenId::Free | ( | const Standard_Integer | Id | ) |

Standard_EXPORT void Aspect_GenId::Free | ( |  | ) |

Standard_EXPORT Standard_Integer Aspect_GenId::Lower | ( |  | ) | const

Standard_EXPORT Standard_Integer Aspect_GenId::Next | ( |  | ) |

void Aspect_GenId::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect_GenId::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect_GenId::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_Integer Aspect_GenId::Upper | ( |  | ) | const

## Field Documentation

Standard_Integer Aspect_GenId::MyCount `[private]`

TColStd_ListOfInteger Aspect_GenId::MyFreeIds `[private]`

Standard_Integer Aspect_GenId::MyLength `[private]`

Standard_Integer Aspect_GenId::MyLowerBound `[private]`

Standard_Integer Aspect_GenId::MyUpperBound `[private]`

The documentation for this class was generated from the following file:

- Aspect_GenId.hxx